<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('accumulated_leave_credits', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('employee_id', 50)->index();
            $table->string('company_id', 50)->index();
            $table->string('dealer_id', 50)->index();
            $table->string('year', 20);
            $table->string('month', 20);
            $table->string('leave_id', 50)->index();
            $table->string('accumulated_days', 50);
            $table->string('accumulated_hours', 50);
            $table->string('days_rendered', 50);
            $table->string('details', 255)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('accumulated_leave_credits');
    }
};
